import { AbstractMermaidTokenBuilder as n, __name as r, MermaidGeneratedSharedModule as u, GitGraphGeneratedModule as d, CommonValueConverter as l } from "./chunk-FPAJGGOC.js";
import { EmptyFileSystem as s } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js";
import { inject as o } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js";
import { createDefaultSharedCoreModule as G, createDefaultCoreModule as c } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js";
var e, p = (e = class extends n {
  constructor() {
    super(["gitGraph"]);
  }
}, r(e, "GitGraphTokenBuilder"), e), m = {
  parser: {
    TokenBuilder: /* @__PURE__ */ r(() => new p(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ r(() => new l(), "ValueConverter")
  }
};
function h(i = s) {
  const t = o(
    G(i),
    u
  ), a = o(
    c({ shared: t }),
    d,
    m
  );
  return t.ServiceRegistry.register(a), { shared: t, GitGraph: a };
}
r(h, "createGitGraphServices");
export {
  m as GitGraphModule,
  h as createGitGraphServices
};
